Skip to main content
POST
/
base
/
{baseId}
/
share
/
{shareId}
/
refresh
cURL
curl --request POST \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/share/%7BshareId%7D/refresh \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "baseId": "<string>",
  "shareId": "<string>",
  "password": true,
  "nodeId": "<string>",
  "allowSave": true,
  "allowCopy": true,
  "enabled": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required
shareId
string
required

Response

200 - application/json

Returns the refreshed base share

baseId
string
required
shareId
string
required
password
boolean
required
nodeId
string
required
allowSave
boolean | null
required
allowCopy
boolean | null
required
enabled
boolean
required
Last modified on March 5, 2026